# Generated by Django 5.0.6 on 2024-05-20 21:26

import exhibits.models
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("exhibits", "0010_alter_exhibitpage_body"),
    ]

    operations = [
        migrations.AlterField(
            model_name="exhibitpage",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    (
                        "interviews",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="openquote",
                            label="Interviews",
                        ),
                    ),
                    (
                        "archival_footage",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="clipboard-list",
                            label="Archival Footage",
                        ),
                    ),
                    (
                        "photographs",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="copy",
                            label="Photographs",
                        ),
                    ),
                    (
                        "original_footage",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="doc-full-inverse",
                            label="Original Footage",
                        ),
                    ),
                    (
                        "programs",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="desktop",
                            label="Programs",
                        ),
                    ),
                    (
                        "related_content",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "guids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset title(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show asset thumbnail(s)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.RichTextBlock(
                                        features=["italic"],
                                        help_text="The title of this group",
                                        max_length=1024,
                                        required=False,
                                    ),
                                ),
                            ],
                            icon="table",
                            label="Related Content",
                        ),
                    ),
                    ("credits", wagtail.blocks.RichTextBlock(icon="form")),
                    (
                        "heading",
                        wagtail.blocks.RichTextBlock(
                            features=["italic"], form_classname="title", icon="title"
                        ),
                    ),
                    ("text", exhibits.models.RichTextFootnotesBlock()),
                    ("image", wagtail.images.blocks.ImageChooserBlock()),
                    (
                        "subheading",
                        wagtail.blocks.RichTextBlock(
                            features=["italic"], form_classname="title", icon="title"
                        ),
                    ),
                    ("html", wagtail.blocks.RawHTMLBlock(label="HTML")),
                ]
            ),
        ),
    ]
