# Generated by Django 4.2.7 on 2023-12-07 18:11

from django.db import migrations
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("ov_collections", "0010_collection_aapb_records_alter_collection_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="collection",
            name="aapb_records",
            field=wagtail.fields.StreamField(
                [
                    (
                        "aapb_record_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "ids",
                                    wagtail.blocks.TextBlock(
                                        help_text="AAPB record IDs, separated by whitespace",
                                        required=True,
                                    ),
                                ),
                                (
                                    "show_title",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show title",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_thumbnail",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Show thumbnail",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_description",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Show description",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                default="",
                use_json_field=True,
            ),
        ),
        migrations.AlterField(
            model_name="collection",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "interviews",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                    (
                                        "image",
                                        wagtail.images.blocks.ImageChooserBlock(
                                            required=True
                                        ),
                                    ),
                                ],
                                icon="openquote",
                                label="Interview",
                            ),
                            icon="openquote",
                        ),
                    ),
                    (
                        "archival_footage",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                    (
                                        "image",
                                        wagtail.images.blocks.ImageChooserBlock(
                                            required=True
                                        ),
                                    ),
                                ],
                                icon="form",
                                label="Footage",
                            ),
                            icon="form",
                        ),
                    ),
                    (
                        "photographs",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                    (
                                        "image",
                                        wagtail.images.blocks.ImageChooserBlock(
                                            required=True
                                        ),
                                    ),
                                ],
                                icon="image",
                                label="Photograph",
                            ),
                            icon="image",
                        ),
                    ),
                    (
                        "original_footage",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                    (
                                        "image",
                                        wagtail.images.blocks.ImageChooserBlock(
                                            required=True
                                        ),
                                    ),
                                ],
                                icon="doc-full-inverse",
                                label="Footage",
                            ),
                            icon="doc-full-inverse",
                        ),
                    ),
                    (
                        "programs",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                ],
                                icon="clipboard-list",
                                label="Program",
                            ),
                            icon="clipboard-list",
                        ),
                    ),
                    (
                        "related_content",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    (
                                        "title",
                                        wagtail.blocks.RichTextBlock(
                                            features=["italic"],
                                            help_text="The title of this content",
                                            max_length=1024,
                                            required=True,
                                        ),
                                    ),
                                    ("link", wagtail.blocks.URLBlock(required=True)),
                                ],
                                icon="list-ul",
                                label="Content",
                            ),
                            icon="list-ul",
                        ),
                    ),
                    ("credits", wagtail.blocks.RichTextBlock()),
                    ("heading", wagtail.blocks.CharBlock(form_classname="title")),
                    ("text", wagtail.blocks.TextBlock()),
                    ("image", wagtail.images.blocks.ImageChooserBlock()),
                    ("html", wagtail.blocks.RawHTMLBlock()),
                ],
                use_json_field=True,
            ),
        ),
    ]
